package fr.titionfire.ffsaf.ws.send;

import fr.titionfire.ffsaf.ws.CompetitionWS;
import fr.titionfire.ffsaf.ws.recv.RState;
import io.quarkus.websockets.next.WebSocketConnection;

import java.util.UUID;

public class SSState {

    public static void sendStateFull(WebSocketConnection connection, RState.TableState state) {
        CompetitionWS.sendNotifyState(connection, "sendStateFull", state);
    }

    public static void sendRmStateFull(WebSocketConnection connection, UUID id) {
        CompetitionWS.sendNotifyState(connection, "rmStateFull", id);
    }

}
